//**********************************************************************//
//									//
//	Emerald.shader for Q3Radiant					//
//	by Sock - 22nd August 2000 : Edited For Use by KittyWumpus*	//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by KittyWumpus* for this map.

textures/ut4_mountainside/ms_sky
{
	qer_editorimage env/ut4_mountainside/box6_rt.jpg
	skyparms env/ut4_mountainside/box6 1024 -

	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
	{
		map textures/ut4_mountainside/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll -0.08 0.025
		rgbGen identityLighting
	}
}

// ---=== NoDamage Textures ===---

textures/ut4_mountainside/kw_rope4:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_brick050:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_floor074:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_floor076:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_floor078:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_floor081:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_floor090:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock004b:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock004r:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock015b:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock015r:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock035_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_rock067:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_roof05:q3map
{
	surfaceparm nodamage
}

textures/ut4_mountainside/pr_veg048:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

// ---=== Slick ===---

textures/ut4_mountainside/lw_rock_snow1TA:q3map
{
	surfaceparm slick
}

textures/ut4_mountainside/lw_rock_snow2CCW:q3map
{
	surfaceparm slick
}

textures/ut4_mountainside/lw_rock_snow3DR:q3map
{
	surfaceparm slick
}

// ---=== Watercaulk ===---

textures/ut4_mountainside/ms_watercaulk
{
	qer_editorimage textures/kittywumpus/kw_watercaulk.jpg
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// ---=== Water ===---

textures/ut4_mountainside/ms_clear_ripple3
{
	qer_editorimage textures/ut4_mountainside/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_mountainside/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_mountainside/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_mountainside/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_mountainside/ms_waterfall1
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_mountainside/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_mountainside/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_mountainside/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_mountainside/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_mountainside/ms_waterfall2
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_mountainside/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

// low waterflow

textures/ut4_mountainside/ms_waterfall_slw
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_mountainside/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_mountainside/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_mountainside/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Ladderclip ===---

textures/ut4_mountainside/ms_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

//Delirium plant-tree shaders

//moving leaf - multiple bevels, bent for leaves-fronds

textures/ut4_mountainside/ms_leaf1
{
        qer_editorimage textures/ut4_mountainside/del_leaf1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_mountainside/del_leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//moving leaf - multiple bevels
textures/ut4_mountainside/ms_leaf2
{
        qer_editorimage textures/ut4_mountainside/del_leaf2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_mountainside/del_leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//shrubs - criss-cross patches or very thin brushes

textures/ut4_mountainside/ms_plant1
{
        qer_editorimage textures/ut4_mountainside/del_plant1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_mountainside/del_plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
 
textures/ut4_mountainside/ms_plant3
{
        qer_editorimage textures/ut4_mountainside/del_plant3.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_mountainside/del_plant3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//green moving vines - bevel, top edge bent over top of brush

textures/ut4_mountainside/ms_vine07
{
	qer_editorimage textures/ut4_mountainside/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_mountainside/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//orange moving vines

textures/ut4_mountainside/ms_vine08
{
	qer_editorimage textures/ut4_mountainside/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_mountainside/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// cn_trees  model

// cn_trees version1 Tree-mapmodel (c) QKennyQ 


textures/ut4_mountainside/ms_liveoak
{
	cull none
	nopicmip
	qer_editorimage textures/ut4_mountainside/cn_trees/liveoak.tga

	{
		map models/mapobjects/ut4_mountainside/cn_trees/liveoak.tga
		alphaFunc LE128
		depthWrite
		rgbGen vertex
	}
}


// ======================================================================
// VINE - soc
// ======================================================================

// ----------------------------------------------------------------------

textures/ut4_mountainside/ms_vine02
{
	qer_editorimage textures/ut4_mountainside/plants_soc/vine02.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip

	{
		map textures/ut4_mountainside/plants_soc/vine02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_mountainside/ms_vine03
{
	qer_editorimage textures/ut4_mountainside/plants_soc/vine03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_mountainside/plants_soc/vine03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_mountainside/ms_vine04
{
	qer_editorimage textures/ut4_mountainside/plants_soc/vine04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/ut4_mountainside/plants_soc/vine04.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_mountainside/ms_vine05
{
	qer_editorimage textures/ut4_mountainside/plants_soc/vine05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_mountainside/plants_soc/vine05.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_mountainside/ms_vine06
{
	qer_editorimage textures/ut4_mountainside/plants_soc/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_mountainside/plants_soc/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ======================================================================
// TREE - by Sock, mods by KittyWumpus*
// ======================================================================
textures/ut4_mountainside/soc_tree01_bark
{
	qer_editorimage textures/ut4_mountainside/soc_tree01_bark.tga

	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	q3map_clipmodel
	q3map_nonplanar
	q3map_shadeAngle 75

	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/ut4_mountainside/soc_tree01_bark.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		//blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_mountainside/soc_tree01_stump
{
	qer_editorimage textures/ut4_mountainside/soc_tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_mountainside/soc_tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_mountainside/soc_tree01_leaves
{
	qer_editorimage textures/ut4_mountainside/soc_tree01_leaves.tga
	q3map_cloneShader textures/ut4_mountainside/soc_tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_mountainside/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/ut4_mountainside/soc_tree01_leavesback
{
	qer_editorimage textures/ut4_mountainside/soc_tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_mountainside/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ---=== MODELS ===---
///////////////////////////////////////
//SNOWY FIR TREE #2 ORIGINAL TEXTURE//
//////////////////////////////////////

models/mapobjects/ut4_mountainside/trees/rc/fir_snowtrunkbase2
{
	cull none
	q3map_bounce .1
	q3map_splotchfix  
	q3map_nonplanar
	surfaceparm alphashadow
	surfaceparm structural
	q3map_shadeangle 45
	surfaceparm playerclip
	nopicmip
	{
		map models/mapobjects/ut4_mountainside/trees/rc/fir_snowtrunkbase2.tga
		rgbGen vertex
	}
}
models/mapobjects/ut4_mountainside/trees/rc/fir_trunk2
{
	cull none
	surfaceparm alphashadow
	q3map_splotchfix  
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm structural
	surfaceparm playerclip
	q3map_bounce .1
	nopicmip
	{
		map models/mapobjects/ut4_mountainside/trees/rc/fir_trunk2.tga
		rgbGen vertex
	}
}

models/mapobjects/ut4_mountainside/trees/rc/fir_snowbranch2
{
	cull none
	q3map_bounce .1
	surfaceparm alphashadow
	q3map_splotchfix  
	q3map_nonplanar
	surfaceparm trans
	nopicmip
	deformVertexes wave 194 sin 0 2 0 .2

	{
		map models/mapobjects/ut4_mountainside/trees/rc/fir_snowbranch2.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

// ---=== lamps and torches ===---

textures/ut4_mountainside/ms_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_mountainside/flame7.tga
	

	{
		animMap 10 textures/ut4_mountainside/flame1.tga textures/ut4_mountainside/flame2.tga textures/ut4_mountainside/flame3.tga textures/ut4_mountainside/flame4.tga textures/ut4_mountainside/flame5.tga textures/ut4_mountainside/flame6.tga textures/ut4_mountainside/flame7.tga textures/ut4_mountainside/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_mountainside/flame2.tga textures/ut4_mountainside/flame3.tga textures/ut4_mountainside/flame4.tga textures/ut4_mountainside/flame5.tga textures/ut4_mountainside/flame6.tga textures/ut4_mountainside/flame7.tga textures/ut4_mountainside/flame8.tga textures/ut4_mountainside/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_mountainside/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// Shader file created for Lamp model by LordSquart

models/mapobjects/ut4_mountainside/ls_lamp/xredflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ut4_mountainside/ls_lamp/xredflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_mountainside/ls_lamp/xblueflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ut4_mountainside/ls_lamp/xblueflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_mountainside/ls_lamp/xorangeflare2
{
cull disable
surfaceparm trans
surfaceparm nolightmap
    deformVertexes autoSprite2
{
map models/mapobjects/ls_lamp/xorangeflare2.tga
blendfunc add
rgbgen identity
}
}

models/mapobjects/ut4_mountainside/ls_lamp/xorangeflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xorangeflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models/mapobjects/ut4_mountainside/ls_lamp/xblueflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xblueflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models/mapobjects/ut4_mountainside/ls_lamp/xredflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xredflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models\mapobjects\bfp\gothl\gothl_lampscreen
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_lampscreen.tga
		//blendfunc gl_one_minus_dst_alpha gl_src_color
		blendfunc add

	}
}

models\mapobjects\bfp\gothl\gothl_bulp
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_bulp.tga
		blendfunc add
	}
}

models\mapobjects\bfp\gothl\gothl_glow
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.20

	cull none
	{
		map models\mapobjects\ut4_mountainside\bfp\gothl\gothl_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}